plans:
- adjust:
  - prepare+:
    - directory: tmp/RPMS/noarch
      how: install
      name: tmt
    when: how == full
  cleanup:
    enabled: true
    phases:
    - how: tmt
      name: default-0
      order: 50
  description: Run smoke test, unit tests and check common options such as --dry &
    --force, environment variables handling, exploring tests and plans, presence of
    documentation. Usually fast.
  discover:
    enabled: true
    phases:
    - dist-git-download-only: false
      dist-git-init: false
      dist-git-install-builddeps: false
      dist-git-merge: false
      dist-git-remove-fmf-root: false
      dist-git-source: false
      filter:
      - 'tier: 0, 1 & tag:-provision-only'
      fmf-id: false
      how: fmf
      modified-only: false
      name: default-0
      order: 50
      prune: false
      sync-repo: false
      url-content-type: git
    tests:
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: Perform a basic check using 'tmt test/plan show'.
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/core/adjust
      order: 50
      path: /default-0/tests/tests/core/adjust
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 1
      summary: Verify test/plan adjustments based on context
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: Perform a basic check using 'tmt plan show'.
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/core/context
      order: 50
      path: /default-0/tests/tests/core/context
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 2
      summary: Verify that context dimension values are case-insensitive
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      link:
      - verifies: /stories/docs
      manual: false
      name: /tests/core/docs
      order: 50
      path: /default-0/tests/tests/core/docs
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 3
      summary: Check that essential documentation is working
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: Check that selecting enabled and disabled stories, plans and tests
        works as expected and that the value is shown correctly.
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/core/enabled
      order: 50
      path: /default-0/tests/tests/core/enabled
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 4
      summary: Verify the core attribute 'enabled'
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: Verify that variables are correctly handed to tests. Also check
        that L2 metadata override L1 metadata and variables provided as command line
        options (including variables loaded from a YAML file) override all. Ensure
        that environment variables have the desired effect.
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/core/environment
      order: 50
      path: /default-0/tests/tests/core/environment
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 5
      summary: Check environment variables handling
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: Check that the 'tmt story show', 'tmt plan show' and 'tmt test
        show' correctly display links. Verify that 'tmt story coverage' gives reasonable
        results.
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/core/link
      order: 50
      path: /default-0/tests/tests/core/link
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 6
      summary: Verify the core attribute 'link'
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: Make sure that 'tmt stories ls', 'tmt tests ls' and 'tmt plans
        ls' work as expected.
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/core/ls
      order: 50
      path: /default-0/tests/tests/core/ls
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 7
      summary: List available stories, plans and tests
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: shell
      manual: false
      name: /tests/core/smoke
      order: 50
      path: /default-0/tests/tests/core/smoke
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 8
      summary: Just a basic smoke test
      test: tmt --help
      tier: '0'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 20m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/execute/basic
      order: 50
      path: /default-0/tests/tests/execute/basic
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 9
      summary: Check that test status is correctly reported
      tag:
      - beakerlib
      - provision-connect
      - provision-container
      - provision-virtual
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: Verify initializing an empty tree and using the minimal template.
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/init/mini
      order: 50
      path: /default-0/tests/tests/init/mini
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 10
      summary: Initialize empty tree, test the minimal template
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/plan/create
      order: 50
      path: /default-0/tests/tests/plan/create
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 11
      summary: Create a test plan using template and command line data
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Vector Li <huanli@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/plan/show
      order: 50
      path: /default-0/tests/tests/plan/show
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 12
      summary: Test the feature to list/show plans
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/story/create
      order: 50
      path: /default-0/tests/tests/story/create
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 13
      summary: Check that a story is created correctly
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Vector Li <huanli@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/story/show
      order: 50
      path: /default-0/tests/tests/story/show
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 14
      summary: Test the feature to list/show stories
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/test/create
      order: 50
      path: /default-0/tests/tests/test/create
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 15
      summary: Check that a test is created correctly
      test: ./test.sh
      tier: '1'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Vector Li <huanli@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/test/show
      order: 50
      path: /default-0/tests/tests/test/show
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 16
      summary: Test the feature to list/show tests
      test: ./test.sh
      tier: '1'
      tty: false
  enabled: true
  environment:
    PYTEST: python3 -m pytest -vvv -ra --showlocals
  execute:
    enabled: true
    phases:
    - duration: 1h
      exit-first: false
      how: tmt
      ignore-duration: false
      interactive: false
      name: default-0
      no-progress-bar: false
      order: 50
      restraint-compatible: false
    results-path: plans/features/core/execute/results.yaml
  finish:
    enabled: true
    phases:
    - how: shell
      name: default-0
      order: 50
  name: /plans/features/core
  order: 50
  prepare:
    enabled: true
    phases:
    - how: install
      missing: fail
      name: default-0
      order: 50
      package:
      - jq
      - yq
      - make
      - python3-pip
      - python3-pytest
    - how: shell
      name: default-1
      order: 50
      script:
      - "mkdir -p ~/.koji\nif [ -f ~/.koji/config ]; then\n  echo \"~/.koji/config
        was already set:\"\n  cat ~/.koji/config\nelse\n  cat <<EOF > ~/.koji/config\n[koji]\nanon_retry
        = true\nEOF\nfi\n"
      summary: Make sure we run koji commands with automatic retry to avoid 50x errors
  provision:
    enabled: true
    phases:
    - become: false
      guest: 13.59.46.186
      hard-reboot: /opt/artemis-cli/bin/artemis-cli guest reboot 4c03c5e4-25bc-41b3-a337-17a1e04a4ec0
      how: connect
      key:
      - /etc/citool.d/id_rsa_artemis
      name: default-0
      order: 50
      port: 22
      user: root
  report:
    enabled: true
    phases:
    - display-guest: auto
      how: display
      name: default-0
      order: 50
  summary: Verify core functionality
run:
  context:
    arch:
    - x86_64
    distro:
    - fedora-rawhide
    initiator:
    - packit
    trigger:
    - commit
  environment:
    PACKIT_BUILD_LOG_URL: https://download.copr.fedorainfracloud.org/results/packit/teemtee-tmt-4904/fedora-rawhide-x86_64/10515802-tmt/builder-live.log
    PACKIT_COMMIT_SHA: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    PACKIT_COPR_BUILD_ID: '10515802'
    PACKIT_COPR_PROJECT: packit/teemtee-tmt-4904
    PACKIT_COPR_RPMS: tmt+provision-virtual-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-bootc-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-beaker-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+report-polarion-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-container-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+export-polarion-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+prepare-artifact-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+report-junit-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+all-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+link-jira-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-mock-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+test-convert-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
    PACKIT_DOWNSTREAM_NAME: tmt
    PACKIT_DOWNSTREAM_URL: https://src.fedoraproject.org/rpms/tmt.git
    PACKIT_FULL_REPO_NAME: teemtee/tmt
    PACKIT_PACKAGE_NAME: tmt
    PACKIT_PACKAGE_NVR: tmt+provision-virtual-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45
    PACKIT_PR_ID: '4904'
    PACKIT_SOURCE_BRANCH: document-user-key-better
    PACKIT_SOURCE_SHA: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    PACKIT_SOURCE_URL: https://github.com/teemtee/tmt
    PACKIT_SRPM_URL: https://download.copr.fedorainfracloud.org/results/packit/teemtee-tmt-4904/srpm-builds/10515802/tmt-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.src.rpm
    PACKIT_TARGET_BRANCH: main
    PACKIT_TARGET_SHA: ba64efc6eb8bc54e1c9b7971fe42c7227cdd8096
    PACKIT_TARGET_URL: https://github.com/teemtee/tmt
    PACKIT_UPSTREAM_NAME: tmt
    PACKIT_UPSTREAM_URL: https://github.com/teemtee/tmt
    TESTING_FARM_GIT_REF: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    TESTING_FARM_GIT_URL: https://github.com/teemtee/tmt
    TESTING_FARM_REQUEST_ID: 7ee920ba-c471-4371-b3ba-ca9f08ece5f9
    TESTING_FARM_TEST_TYPE: fmf
  remove: false
  root: /var/ARTIFACTS/git-ba64efc6eb8bc54e1c9b7971fe42c7227cdd8096jv4l6ug6
